Me

Your preferences

GET
/v1/me/preferences

Your language, AI help and notification choices in one company.

Authorization

bearer
headerAuthorizationBearer <token>

An access token from /v1/auth/token, or a personal token: opaque, beginning s2a_.

Query Parameters

account_id?string

acc_…; needed when you are in more than one

Lengthlength <= 40

Response Body

Your preferences

application/json
  1. response

Your preferences

language*|

Your language, or null to follow Accept-Language and then your company’s

languages*array<string>

The languages you may choose

ai_help*

Whether your company offers AI help, and whether yours is on

notifications*
curl -X GET 'https://api.sign2approve.com/v1/me/preferences'
{  "language": null,  "languages": [    "en-GB"  ],  "ai_help": {    "available": true,    "on": true  },  "notifications": {    "documents": {      "viewed": "email",      "signed": "email",      "approved": "email",      "declined": "email",      "completed": "email",      "expiring": "email",      "reminder_sent": "in_app"    },    "digest": false  }}